stl_bvector.h File Reference

Go to the source code of this file.

## Classes

struct | std::hash<::vector< bool, _Alloc > >
class | std::vector< bool, _Alloc >

## Namespaces

| std

## Typedefs

typedef unsigned long | std::_Bit_type

## Enumerations

enum | { _S_word_bit }

## Functions

void | std::__fill_a1 (::_Bit_iterator, ::_Bit_iterator, const bool &)
void | std::__fill_bvector (::_Bit_type *__v, unsigned int __first, unsigned int __last, bool __x)
void | std::swap (_Bit_reference __x, _Bit_reference __y) noexcept
void | std::swap (_Bit_reference __x, bool &__y) noexcept
void | std::swap (bool &__x, _Bit_reference __y) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <vector>.

Definition in file stl_bvector.h.